package com.company.testingjmix.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;
import java.util.List;
import java.util.UUID;

@JmixEntity
@Table(name = "THIRD")
@Entity
public class Third {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @Column(name = "FIELD")
    private String field;

    @JoinTable(name = "SECOND_THIRD_LINK",
            joinColumns = @JoinColumn(name = "THIRD_ID", referencedColumnName = "ID"),
            inverseJoinColumns = @JoinColumn(name = "SECOND_ID", referencedColumnName = "ID"))
    @ManyToMany
    private List<Second> seconds;

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public List<Second> getSeconds() {
        return seconds;
    }

    public void setSeconds(List<Second> seconds) {
        this.seconds = seconds;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}